Package picard.sam

# Class ReplaceSamHeader

java.lang.Object
picard.cmdline.CommandLineProgram
picard.sam.ReplaceSamHeader

@DocumentedFeature public class ReplaceSamHeader extends CommandLineProgram

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`HEADER`
`File`
`INPUT`
`File`
`OUTPUT`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`ReplaceSamHeader()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(doc="SAM/BAM/CRAM file from which SAMRecords will be read.", shortName="I") public File INPUT

### HEADER

@Argument(doc="SAM/BAM/CRAM file from which SAMFileHeader will be read.") public File HEADER

### OUTPUT

@Argument(doc="header from HEADER file will be written to this file, followed by records from INPUT file", shortName="O") public File OUTPUT

## Constructor Details

### ReplaceSamHeader

public ReplaceSamHeader()

## Method Details

### doWork

protected int doWork()
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.